// 编写一个名为 Date 的类，表示日期。重载相等运算符 == ，使其能够比较两个日期是否相等。
//    【提示】类中包含year,
//     month, day三个变量。
#include <iostream>
#include <cstring>
#include <cstdlib>

using namespace std;

class Date
{
private:
    int year, month, day;

public:
    Date(int year, int month, int day) : year(year), month(month), day(day) {}
    Date(const Date &d) : year(d.year), month(d.month), day(d.day) {}
    ~Date() {}

public:
    bool operator==(const Date &d)
    {
        if (year == d.year && month == d.month && day == d.day)
        {
            return true;
        }
        return false;
    }
};

int main()
{
    Date d1(2020, 10, 1);
    Date d2(2020, 10, 1);
    Date d3(2020, 10, 2);
    cout << (d1 == d2) << endl; // 1 表示 true
    cout << (d1 == d3) << endl; // 0 表示 false

    return 0;
}
